body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    height: 100vh;
    background-color: #29578F;
    margin: 0;
    font-family: 'Arial', sans-serif;
    position: relative;
}

.logo {
    position: absolute;
    top: 10px;
    left: 10px;
    width: 250px;
    height: auto;
}

.calculator {
    margin-top: 60px; /* Adjust this value if needed */
    border-radius: 10px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
    padding: 20px;
    width: 320px;
    background-color: #fff;
}

.calculator-screen {
    width: 100%;
    height: 80px;
    background-color: #252525;
    border: none;
    color: #fff;
    text-align: right;
    padding-right: 20px;
    padding-left: 10px;
    font-size: 2.5em;
    border-radius: 10px;
    margin-bottom: 20px;
    box-sizing: border-box;
}

.calculator-keys {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 10px;
}

button {
    height: 60px;
    border-radius: 10px;
    background-color: #e0e0e0;
    border: none;
    font-size: 1.5em;
    cursor: pointer;
}

button.operator {
    background-color: #f5913e;
    color: #fff;
}

button.equal-sign {
    background-color: #4caf50;
    color: #fff;
    grid-column: span 2;
}

button.all-clear {
    background-color: #f44336;
    color: #fff;
}

button:active {
    background-color: #d4d4d4;
}
